From eb3501a81bf74e4bca27edd350172344dd4abe49 Mon Sep 17 00:00:00 2001
From: Jan Heberer <jangc@t-online.de>
Date: Sat, 2 Jan 2016 23:38:06 +0100
Subject: [PATCH] Fix clamping of unsigned 16-bit integers in StdCompilerINIRead

Clamp unsigned 16-bit integers to the range 0 to 65535 instead of 0 to 32767
---
 src/lib/StdCompiler.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/lib/StdCompiler.cpp b/src/lib/StdCompiler.cpp
index 2bdfcd3..0b339c3 100644
--- a/src/lib/StdCompiler.cpp
+++ b/src/lib/StdCompiler.cpp
@@ -578,7 +578,7 @@ void StdCompilerINIRead::Word(int16_t &rShort)
 }
 void StdCompilerINIRead::Word(uint16_t &rShort)
 {
-	const unsigned int MIN = 0, MAX = (1 << 15) - 1;
+	const unsigned int MIN = 0, MAX = (1 << 16) - 1;
 	unsigned int iNum = ReadUNum();
 	if (iNum > MAX)
 		Warn("number out of range (%u to %u): %u ", MIN, MAX, iNum);
-- 
2.6.4.windows.1

